import olives_object

class ObjectControllable(olives_object.Object):
    """
    This is the wrapper around the C++ "ObjectControllable" class.
    Like its C++ counterpart it is inheriting from the "Object" class.

    The "olives" prefix in the file indicates it is not meant to be edited for modifying,
    as this will most definitely result in breakage.
    """

    def get_name(self) -> str: ...
    def set_name(self, name: str): ...
    def get_hunger(self) -> int: ...
    def set_hunger(self, hunger: int): ...
    def get_hygiene(self) -> int: ...
    def set_hygiene(self, hygiene: int): ...
    def get_energy(self) -> int: ...
    def set_energy(self, energy: int): ...
    def get_hit_points(self) -> int: ...
    def set_hit_points(self, hit_points: int): ...
    def get_temperature(self) -> int: ...
    def set_temperature(self, temperature: int): ...
    def get_min_temperature(self) -> int: ...
    def set_min_temperature(self, temperature: int): ...
    def get_max_temperature(self) -> int: ...
    def set_max_temperature(self, temperature: int): ...